Atualizar status de pagamento do lançamento
curl --request PATCH \
--url https://api.juridiq.com.br/financial/launchs/{id} \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"isPaid": true,
"partialValue": 123,
"paymentDate": "<string>"
}
'import requests
url = "https://api.juridiq.com.br/financial/launchs/{id}"
payload = {
"isPaid": True,
"partialValue": 123,
"paymentDate": "<string>"
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isPaid: true, partialValue: 123, paymentDate: '<string>'})
};
fetch('https://api.juridiq.com.br/financial/launchs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"type": "<string>",
"value": 123,
"date": "<string>",
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partialValue": 123,
"paymentDate": "<string>",
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lawSuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPaid": true,
"isFixed": true,
"hasScheduling": true,
"installmentLabel": "<string>",
"annotations": "<string>",
"billName": "<string>",
"billIcon": "<string>",
"billIsPrivate": true,
"categoryName": "<string>",
"categoryColor": "<string>",
"categoryIcon": "<string>",
"personName": "<string>",
"lawSuitProcessNumber": "<string>",
"isExternalGateway": true,
"gateway": {
"kind": "PAYMENT",
"value": 123,
"createdAt": "<string>",
"status": "<string>",
"dueDate": "<string>",
"paymentDate": "<string>",
"installmentNumber": 123,
"discount": {
"value": 123,
"dueDateLimitDays": 1,
"type": "FIXED"
},
"fine": {
"value": 123,
"type": "FIXED"
},
"interest": {
"value": 123
},
"invoiceUrl": "<string>",
"gatewayPaymentUrl": "<string>"
}
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Financial
Atualizar status de pagamento do lançamento
PATCH
/
financial
/
launchs
/
{id}
Atualizar status de pagamento do lançamento
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
ID do lançamento
Body
application/json
Response
Default Response
Descrição
incoming ou outcoming
Valor
Data
ID do escritório
ID da transação
ID da transação
Valor parcial
Data de pagamento
ID da pessoa
ID da conta
ID da categoria
ID do processo
Pago
Fixa
Possui parcelamento
Rótulo da parcela
Anotações
Nome da conta
Ícone da conta
Conta privada
Nome da categoria
Cor da categoria
Ícone da categoria
Nome da pessoa
Número do processo
Gateway externo
Dados do gateway
Show child attributes
Show child attributes

